## imcode.util.io
Class EmptyInputStream

    java.lang.Object
      java.io.InputStream
          imcode.util.io.EmptyInputStream

All Implemented Interfaces:
  java.io.Closeable

    public class EmptyInputStream

extends java.io.InputStream

Constructor Summary
`EmptyInputStream()`

Method Summary
`int` `read()`

Methods inherited from class java.io.InputStream
`available, close, mark, markSupported, read, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmptyInputStream

    public EmptyInputStream()

Method Detail

### read

    public int read()
             throws java.io.IOException

  Specified by:
    `read` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`